      program swap
      implicit none
c.....este programa intercambia las variables v1 y v2
      real*8 v1,v2

      v1 = 1d0
      v2 = 2
      print *,"Antes del swap"
      print *,"v1 = ",v1," v2 = ",v2

      v1 = v2
      v2 = v1

      print *,"Después del swap"
      print *,"v1 = ",v1," v2 = ",v2
      end

